javax.swing.plaf.basic

## Class BasicTreeUI.ComponentHandler

- java.lang.Object
- - java.awt.event.ComponentAdapter
  - - javax.swing.plaf.basic.BasicTreeUI.ComponentHandler

All Implemented Interfaces:
  ActionListener, ComponentListener, EventListener

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.ComponentHandler
    extends ComponentAdapter
    implements ActionListener

Updates the preferred size when scrolling (if necessary).

### Field Summary

Fields
`protected JScrollBar` `scrollBar` ScrollBar that is being adjusted.
`protected Timer` `timer` Timer used when inside a scrollpane and the scrollbar is adjusting.

### Constructor Summary

Constructors
Constructor and Description
`BasicTreeUI.ComponentHandler()`

### Method Summary

Methods
`void` `actionPerformed(ActionEvent ae)` Public as a result of Timer.
`void` `componentMoved(ComponentEvent e)` Invoked when the component's position changes.
`protected JScrollPane` `getScrollPane()` Returns the JScrollPane housing the JTree, or null if one isn't found.
`protected void` `startTimer()` Creates, if necessary, and starts a Timer to check if need to resize the bounds.

### Methods inherited from class java.awt.event.ComponentAdapter

`componentHidden, componentResized, componentShown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### timer

    protected Timer timer

Timer used when inside a scrollpane and the scrollbar is adjusting.

#### scrollBar

    protected JScrollBar scrollBar

ScrollBar that is being adjusted.

### Constructor Detail

#### BasicTreeUI.ComponentHandler

    public BasicTreeUI.ComponentHandler()

### Method Detail

#### componentMoved

    public void componentMoved(ComponentEvent e)

Description copied from class: `ComponentAdapter`
Invoked when the component's position changes.

Specified by:
  `componentMoved` in interface `ComponentListener`
Overrides:
  `componentMoved` in class `ComponentAdapter`

#### startTimer

    protected void startTimer()

Creates, if necessary, and starts a Timer to check if need to resize the bounds.

#### getScrollPane

    protected JScrollPane getScrollPane()

Returns the JScrollPane housing the JTree, or null if one isn't found.

#### actionPerformed

    public void actionPerformed(ActionEvent ae)

Public as a result of Timer. If the scrollBar is null, or not adjusting, this stops the timer and updates the sizing.

Specified by:
  `actionPerformed` in interface `ActionListener`

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.